Package org.bukkit.block.data.type

# Enum Class Comparator.Mode

java.lang.Object
java.lang.Enum<Comparator.Mode>
org.bukkit.block.data.type.Comparator.Mode

All Implemented Interfaces:
  `Serializable`, `Comparable<Comparator.Mode>`, `Constable`

Enclosing interface:
  Comparator

public static enum Comparator.Mode extends Enum<Comparator.Mode>
The mode in which a comparator will operate in.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMPARE`
The default mode, similar to a transistor.
`SUBTRACT`
Alternate subtraction mode.

## Method Summary

Modifier and Type
Method
Description
`static Comparator.Mode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Comparator.Mode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### COMPARE

public static final Comparator.Mode COMPARE
The default mode, similar to a transistor. The comparator will turn off if either side input is greater than the rear input.

### SUBTRACT

public static final Comparator.Mode SUBTRACT
Alternate subtraction mode. The output signal strength will be equal to max(rear-max(left,right),0).

## Method Details

### values

public static Comparator.Mode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Comparator.Mode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null